## org.eclipse.datatools.sqltools.core.profile
Class SQLToolsProfileProxyListener

    java.lang.Object
      org.eclipse.datatools.sqltools.core.profile.SQLToolsProfileProxyListener

All Implemented Interfaces:
  IManagedConnectionListener, IProfileListener, IProfileListener1

    public class SQLToolsProfileProxyListener

extends java.lang.Object
implements IProfileListener1, IManagedConnectionListener

Author:
  Dafan Yang

Method Summary
`void` `aboutToClose(ConnectEvent event)` The connection manged by the associated IManagedConnection is about to be closed.
`void` `closed(ConnectEvent event)` The connection manged by the associated IManagedConnection has been closed.
`static SQLToolsProfileProxyListener` `getInstance()`
`void` `init(IConnectionProfile[] profiles)`
`void` `modified(ConnectEvent event)` The connection manged by the associated IManagedConnection has been modifed.
`boolean` `okToClose(ConnectEvent event)` A client (or the user) has requested the connection managed by the associated IManagedConnection be closed.
`void` `opened(ConnectEvent event)` The connection managed by the associated IManagedConnection has been opened.
`void` `profileAdded(IConnectionProfile profile)` The specified profile has been added.
`void` `profileChanged(IConnectionProfile profile)` The specified profile has been modified.
`void` `profileChanged(IConnectionProfile profile, java.lang.String oldName, java.lang.String oldDesc, java.lang.Boolean oldAutoConnect)`
`void` `profileDeleted(IConnectionProfile profile)` The specified profile has been deleted.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static SQLToolsProfileProxyListener getInstance()

### init

    public void init(IConnectionProfile[] profiles)

### profileAdded

    public void profileAdded(IConnectionProfile profile)

  Description copied from interface: `IProfileListener`
  The specified profile has been added.

  Specified by:
    `profileAdded` in interface `IProfileListener`

### profileDeleted

    public void profileDeleted(IConnectionProfile profile)

  Description copied from interface: `IProfileListener`
  The specified profile has been deleted.

  Specified by:
    `profileDeleted` in interface `IProfileListener`

### profileChanged

    public void profileChanged(IConnectionProfile profile)

  Description copied from interface: `IProfileListener`
  The specified profile has been modified. Modification includes changes to any properties, the name, auto-connect flag, etc.

  Specified by:
    `profileChanged` in interface `IProfileListener`

### profileChanged

    public void profileChanged(IConnectionProfile profile,
                               java.lang.String oldName,
                               java.lang.String oldDesc,
                               java.lang.Boolean oldAutoConnect)

  Specified by:
    `profileChanged` in interface `IProfileListener1`

### okToClose

    public boolean okToClose(ConnectEvent event)

  Description copied from interface: `IManagedConnectionListener`
  A client (or the user) has requested the connection managed by the associated IManagedConnection be closed. This callback gives other clients the option of cancelling the operation (e.g. they still require access to the connection).

  Specified by:
    `okToClose` in interface `IManagedConnectionListener`
  Returns:
    false to prevent the connection from being closed.

### opened

    public void opened(ConnectEvent event)

  Description copied from interface: `IManagedConnectionListener`
  The connection managed by the associated IManagedConnection has been opened.

  Specified by:
    `opened` in interface `IManagedConnectionListener`

### closed

    public void closed(ConnectEvent event)

  Description copied from interface: `IManagedConnectionListener`
  The connection manged by the associated IManagedConnection has been closed.

  Specified by:
    `closed` in interface `IManagedConnectionListener`

### aboutToClose

    public void aboutToClose(ConnectEvent event)

  Description copied from interface: `IManagedConnectionListener`
  The connection manged by the associated IManagedConnection is about to be closed. Clients may use this opportunity to perform clean up operations on the connection prior to it being closed. (Note, this method is called after okToClose() and prior to closed().)

  Specified by:
    `aboutToClose` in interface `IManagedConnectionListener`

### modified

    public void modified(ConnectEvent event)

  Description copied from interface: `IManagedConnectionListener`
  The connection manged by the associated IManagedConnection has been modifed. The context object in the event may specify details as to what on the server has been modified.

  Specified by:
    `modified` in interface `IManagedConnectionListener`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.